NX Open C++ Reference Guide
|
Used to create or edit a point in the list of points for Jointmark
To create a new instance of this class, use Weld::JointmarkBuilder::NewPoints
Created in NX9.0.0.
More...
Public Member Functions | |
NXOpen::Expression * | Angle () |
Returns the angle through which X and Y axis to rotate Created in NX9.0.0. | |
bool | FlipDirection () |
Returns the flip of Z axis. | |
NXOpen::Point * | Point () |
Returns the point at which the feature is created Created in NX9.0.0. | |
void | SetFlipDirection (bool flip) |
Sets the flip of Z axis. | |
void | SetPoint (NXOpen::Point *point) |
Sets the point at which the feature is created Created in NX9.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Used to create or edit a point in the list of points for Jointmark
To create a new instance of this class, use Weld::JointmarkBuilder::NewPoints
Created in NX9.0.0.
NXOpen::Expression* NXOpen::Weld::JointmarkPointsBuilder::Angle | ( | ) |
Returns the angle through which X and Y axis to rotate
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
bool NXOpen::Weld::JointmarkPointsBuilder::FlipDirection | ( | ) |
Returns the flip of Z axis.
Z axis representing the normal can be flipped
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Point* NXOpen::Weld::JointmarkPointsBuilder::Point | ( | ) |
Returns the point at which the feature is created
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::JointmarkPointsBuilder::SetFlipDirection | ( | bool | flip | ) |
Sets the flip of Z axis.
Z axis representing the normal can be flipped
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
flip | flip |
void NXOpen::Weld::JointmarkPointsBuilder::SetPoint | ( | NXOpen::Point * | point | ) |
Sets the point at which the feature is created
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
point | point |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.